> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-push-provisioning/ja/herupu/faq.md).

# FAQ

このセクションでは、統合中に遭遇する可能性のある一般的な問題について説明します。

### 一般 <a href="#generic" id="generic"></a>

#### OPCとは何ですか？ <a href="#what-is-opc" id="what-is-opc"></a>

Opaque Payment Card（OPC）は、イシュアによって定義された暗号化されたオブジェクトです。OPCの仕様は支払いネットワークによって異なります。

* Mastercard： [Mastercard イシュア トークン化リファレンス API](https://developer.mastercard.com/mdes-pre-digitization/documentation/use_case/issuer-tokenization/#reference-api-implementation).
* Visa： [Visa インアプリ プロビジョニング リファレンス API](https://developer.visa.com/capabilities/visa-in-app-provisioning/reference).

#### カードの登録 <a href="#card-enrollment" id="card-enrollment"></a>

Q: あるカードが15のオンライン加盟店に登録されている場合、作成されたすべてのトークンの情報を受け取りますか、それともNetflixのような既知の加盟店のみですか？

A: D1バックエンドは支払いネットワークからの応答を転送します。加盟店やデバイスに関係なく、既知のすべてのトークンを返します。

参照 [表示: トークン一覧を取得](/classic-push-provisioning/ja/ysuksu/to/tkunwo.md).

#### Apple Pay トークン <a href="#apple-pay-tokens" id="apple-pay-tokens"></a>

Q: Apple Payのトークン情報を受け取り、Androidデバイスから管理できますか？

A: D1バックエンドの観点では、 `getTokenList` はデバイスに依存しません。デバイスに関係なくすべてのトークンを返します。

イシュアアプリケーションはユースケースに基づいてトークンをフィルタリングできます。

#### デバイスタイプ <a href="#device-type" id="device-type"></a>

Q: デバイスタイプと名前はデバイスベースのトークンに対してのみ提供されますか？

A: デバイスID、タイプ、名前はMDESトークンでのみ利用可能です。MDESの応答によっては提供されない場合があります。

### Android <a href="#android" id="android"></a>

#### AndroidライブラリプロジェクトでPush Provisioning SDK AARをどのように使用しますか？ <a href="#how-to-use-push-provisioning-sdk-aar-for-android-library-project" id="how-to-use-push-provisioning-sdk-aar-for-android-library-project"></a>

Androidライブラリを開発している場合、Push Provisioning SDKのAARをマージする必要があります。AARファイルにマージしてください。

AARをマージする方法は2つあります：

* DexGuardを使用している場合、AARファイルをマージできます。DexGuardの [ドキュメントガイド](https://customers.guardsquare.com/en/manual/dexguard/stable/setup/gradle-plugin.html#fat-aar-support).
* のようなサードパーティのフレームワークを使用する [fat-aar](https://github.com/kezong/fat-aar-android).

#### カスタマーアプリケーションIDとは何ですか？ <a href="#customer_applicationid" id="customer_applicationid"></a>

カスタマーアプリケーションIDは、GoogleがPush Provisioning APIへのアクセスを付与したときに受け取ります。アクセスは参加している金融機関にのみ付与されます。

イシュアアプリケーションはAPIを呼び出す前に許可リストに登録されている必要があります。これは本番アプリおよびプレリリースアプリ（例：アルファやベータビルド）に適用されます。

GoogleのPush Provisioning APIへのアクセスをリクエストするには、次の手順に従ってください： [Push Provisioning API へのアクセス](https://developers.google.com/pay/issuers/apis/push-provisioning/android/allowlist?hl=en\&authuser=1)同じSHA-256フィンガープリントを共有している場合、1つのリクエストに複数のアプリパッケージを含めることができます。

#### Wear OSデバイスでプロビジョニングされたカードを有効にするにはどうすればよいですか？ <a href="#how-to-do-enable-provisioned-card-on-android-wear-device" id="how-to-do-enable-provisioned-card-on-android-wear-device"></a>

Push Provisioning APIはWear OSデバイスでサポートされていません。唯一のサポートされているオプションはGoogle Payを介した手動プロビジョニングです。

こちらの [ドキュメント](https://support.google.com/wearos/answer/7643998?hl=en) でWear OSデバイスでGoogle Payを使用する手順を参照してください。

### iOS <a href="#ios" id="ios"></a>

#### PrimaryAccountIdentifierの値とは何ですか？ <a href="#what-is-the-primaryaccountidentifier-value" id="what-is-the-primaryaccountidentifier-value"></a>

これはウォレットアプリケーションにプロビジョニングされたカードの一意の識別子です。次を使用して `primaryAccountIdentifier` を使って `getCardDigitizationResult` APIでカードの状態を確認できます。

参照 [Primary Account Identifier](https://developer.apple.com/documentation/passkit/pkaddpaymentpassrequestconfiguration/1615936-primaryaccountidentifier) はAppleのドキュメントにあります。

#### nonce値とは何ですか？ <a href="#what-is-a-nonce-value" id="what-is-a-nonce-value"></a>

これはイシュアアプリケーションまたはイシュアバックエンドによって生成されるランダムな値です。

Push Provisioning SDKには凝縮されたUUID v4として提供してください。凝縮されたUUID v4はUUIDからすべてのダッシュを取り除いたものです。

例えば、 **123e4567-e89b-12d3-a456-426614174000** は次のようになります **123e4567e89b12d3a456426614174000**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-push-provisioning/ja/herupu/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
